Why this error exists at building opencv?

asked 2018-06-12 03:55:24 -0500

My operating system Ubuntu 16.04 and g++ 5.x opencv 3.4...

While Building the opencv, it returns an error

cmake -D CMAKE_BUILD_TYPE=RELEASE 
-D CMAKE_INSTALL_PREFIX=/usr/local       
-D INSTALL_C_EXAMPLES=ON       
-D INSTALL_PYTHON_EXAMPLES=ON       
-D WITH_TBB=ON 
-D WITH_V4L=ON       
-D WITH_QT=ON       
-D WITH_OPENGL=ON       
-D OPENCV_EXTRA_MODULES_PATH=../../opencv_contrib/modules       
-D BUILD_EXAMPLES=OFF 
-D ENABLE_PRECOMPILED_HEADERS=OFF 
-D CMAKE_CXX_FLAGS=-std=c++11 
-D PYTHON3_EXECUTABLE=/var/www/html/venv/bin/python3.5 
-DSFM_DEPS_OK=ON 
-D  PYTHON3_INCLUDE_DIR=/var/www/html/venv/include/python3.5m/ 
-D PYTHON3_PACKAGES_PATH=/var/www/html/venv/lib/python3.5/site-packages/ 
-D PYTHON3_NUMPY_INCLUDE_DIRS=/var/www/html/venv/lib/python3.5/site-packages/numpy/core/include/ 
-D PYTHON_DEFAULT_AVAILABLE=/var/www/html/venv/bin/python3.5 
-D BUILD_opencv_dnn=OFF ..

This is the output

-- Looking for ccache - not found
-- Found ZLIB: /usr/lib/x86_64-linux-gnu/libz.so (found suitable version "1.2.8", minimum required is "1.2.3") 
-- Found ZLIB: /usr/lib/x86_64-linux-gnu/libz.so (found version "1.2.8") 
-- Checking for module 'gstreamer-base-1.0'
--   No package 'gstreamer-base-1.0' found
-- Checking for module 'gstreamer-video-1.0'
--   No package 'gstreamer-video-1.0' found
-- Checking for module 'gstreamer-app-1.0'
--   No package 'gstreamer-app-1.0' found
-- Checking for module 'gstreamer-riff-1.0'
--   No package 'gstreamer-riff-1.0' found
-- Checking for module 'gstreamer-pbutils-1.0'
--   No package 'gstreamer-pbutils-1.0' found
-- Looking for linux/videodev.h
-- Looking for linux/videodev.h - not found
-- Looking for linux/videodev2.h
-- Looking for linux/videodev2.h - found
-- Looking for sys/videoio.h
-- Looking for sys/videoio.h - not found
-- Checking for module 'libavresample'
--   No package 'libavresample' found
-- Found TBB (env): /usr/lib/x86_64-linux-gnu/libtbb.so
-- found Intel IPP (ICV version): 2017.0.3 [2017.0.3]
-- at: /root/opencv/build/3rdparty/ippicv/ippicv_lnx
-- found Intel IPP IW sources: 2017.0.3
-- at: /root/opencv/build/3rdparty/ippicv/ippiw_lnx
-- Could not find OpenBLAS lib. Turning OpenBLAS_FOUND off
-- Could NOT find Atlas (missing:  Atlas_CLAPACK_INCLUDE_DIR) 
-- A library with BLAS API found.
-- A library with LAPACK API found.
-- Could NOT find JNI (missing:  JAVA_AWT_LIBRARY JAVA_JVM_LIBRARY JAVA_INCLUDE_PATH JAVA_INCLUDE_PATH2 JAVA_AWT_INCLUDE_PATH) 
-- Could NOT find Matlab (missing:  MATLAB_MEX_SCRIPT MATLAB_INCLUDE_DIRS MATLAB_ROOT_DIR MATLAB_LIBRARIES MATLAB_LIBRARY_DIRS MATLAB_MEXEXT MATLAB_ARCH MATLAB_BIN) 
-- VTK is not found. Please set -DVTK_DIR in CMake to VTK build directory, or to VTK install subdirectory with VTKConfig.cmake file
-- Module opencv_ovis disabled because OGRE3D was not found
-- Caffe:   NO
-- Protobuf:   NO
-- Glog:   YES
-- freetype2:   YES
-- harfbuzz:    YES
-- No preference for use of exported gflags CMake configuration set, and no hints for include/library directories provided. Defaulting to preferring an installed/exported gflags CMake configuration if available.
-- Failed to find installed gflags CMake configuration, searching for gflags build directories exported with CMake.
-- Failed to find gflags - Failed to find an installed/exported CMake configuration for gflags, will perform search for installed gflags components.
-- Checking SFM deps... ON
-- CERES support is disabled. Ceres Solver for reconstruction API is required.
-- Module opencv_dnn_objdetect disabled because opencv_dnn dependency can't be resolved!
-- Module opencv_text disabled because opencv_dnn dependency can't be resolved!
-- freetype2:   YES
-- harfbuzz:    YES
-- No preference for use of exported gflags CMake configuration set, and no hints for include/library ...
(more)
edit retag flag offensive close merge delete